#!/bin/bash

usage() {
	echo "usage: $0 <pos nom> <pos den>" >&2
	exit 1
}

AWKSCRIPT="{
	n=\$nom
	d=\$den
	if (d > 0) {
		print n/d
	} else {
		print 1
	}
}"

[ $# -eq 2 ] || usage
exec awk -v nom=$1 -v den=$2 -- "${AWKSCRIPT}"
