#!/bin/bash
source $(dirname $0)/../defs
for scale in $*; do
mkdir -p $odir$scale
for x in $fifos DSF; do
	[ "$x" = "DSF" ] && cl="3 1" || cl="3"
	for c in $cl; do
		cat $edir/$EXP.exp | sed -e "s/CLASS/$c/" > $odir$scale/$EXP$c.exp
		for ((run=0;run<$runs;run+=1)); do
			case "$x" in
			DSF) q=DSF;;
				*) q=FIFO$x; echo -n "-queueTime=$x";;
			esac
			echo " -scale=$scale -run=$run -configFile=$odir$scale/$EXP$c.exp -compFile=$odir$scale/comp$c-$q-$run -monFile=$odir$scale/mon$c-$q-$run"
		done
	done
done
done |$PARALLEL --colsep ' ' $NS3 {}
